Page({
  data: {
    statusBarHeight: 44
  },
  // 返回信息等级页面
  navigateBack(){
    wx.navigateBack({
      delta: 1
    })
  },
  onLoad(){
    // 获取设备的信息  
    let systemInfo = wx.getSystemInfoSync();
    // 获取信号区高度, 并设置标题高度
    let statusBarHeight = systemInfo['statusBarHeight']
    if (systemInfo.platform === 'andorid' ) {
      statusBarHeight = statusBarHeight+1;
    }else if (systemInfo.platform === 'ios') {
      statusBarHeight = statusBarHeight+6;
    }else{
      statusBarHeight = statusBarHeight;
    }
    this.setData({
      statusBarHeight
    });
    wx.getSetting({
      success(res) {
        // 校验用户是否已经授权
        if (res.authSetting['scope.userInfo']) {
          // 必须是在用户已经授权的情况下调用
          wx.getUserInfo({
            success: function (res) {
              console.log(res)
            }
          })
        }else{
          // 如果未授权则关闭所有页面，跳转至授权登录页
          wx.reLaunch({
            url: '/pages/authorization/authorization'
          })
        }
      }
    });
  }
})